#	$NetBSD: Makefile.serverlib,v 1.7 2004/07/14 09:44:26 agc Exp $

NOLINT=         1
NOPROFILE=      1

.if ${MACHINE_ARCH} != "mipseb" && ${MACHINE_ARCH} != "mipsel"
NOPIC=		1
.endif

.include <bsd.own.mk>		# for NETBSDSRCDIR
.include <bsd.endian.mk>

.if ${XMODULEDIR:U} == ""
libinstall::
.endif

.if ${TARGET_ENDIANNESS} == "1234"
X_BYTE_ORDER=X_LITTLE_ENDIAN
.elif ${TARGET_ENDIANNESS} == "4321"
X_BYTE_ORDER=X_BIG_ENDIAN
.else
X_BYTE_ORDER=0
.endif

CPPFLAGS+=	${X11FLAGS.SERVER} -DX_BYTE_ORDER=${X_BYTE_ORDER}

.if !defined(XSERVERINCDIR)
XSERVERINCDIR!=	cd ${NETBSDSRCDIR}/x11/Xserver/include && ${PRINTOBJDIR}
.MAKEOVERRIDES+=XSERVERINCDIR
.endif

# Architectures that can't use the XFree86 loader (such as MIPS) can use
# dlopen() to load modules.

.if defined(XMODULEDIR)
CPPFLAGS+=	${X11FLAGS.LOADABLE}
.if ${MACHINE_ARCH} == "mipseb" || ${MACHINE_ARCH} == "mipsel"
SHLIB_MAJOR=	0
SHLIB_MINOR=	0
MKPICLIB=	yes
MKSTATICLIB=	no
.endif
.else
NOPIC=		1
.endif
